import { S3 } from 'aws-sdk';
import { Component } from '@serverless/core';
import { UploadStaticAssetsOptions, AwsS3Inputs } from '../types';
declare class AwsS3 extends Component {
    static uploadStaticAssets(options: UploadStaticAssetsOptions): Promise<S3.ManagedUpload.SendData[]>;
    default(inputs?: AwsS3Inputs): Promise<any>;
    remove(): Promise<{
        name: string;
        region: string;
        accelerated: boolean;
    } | undefined>;
    upload(inputs?: AwsS3Inputs): Promise<void>;
}
export default AwsS3;
